# Class CalendarRecurrenceRule

java.lang.Object
com.codename1.calendar.CalendarRecurrenceRule

public class CalendarRecurrenceRule extends Object
Portable RFC-5545-style recurrence rule.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CalendarRecurrenceRule.Frequency`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarRecurrenceRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalendarRecurrenceRule`
  `addDayOfMonth(int v)`
  `CalendarRecurrenceRule`
  `addDayOfWeek(int v)`
  `CalendarRecurrenceRule`
  `addMonth(int v)`
  `Integer`
  `getCount()`
  `List<Integer>`
  `getDaysOfMonth()`
  `List<Integer>`
  `getDaysOfWeek()`
  `CalendarRecurrenceRule.Frequency`
  `getFrequency()`
  `int`
  `getInterval()`
  `List<Integer>`
  `getMonths()`
  `CalendarDateTime`
  `getUntil()`
  `CalendarRecurrenceRule`
  `setCount(Integer v)`
  `CalendarRecurrenceRule`
  `setFrequency(CalendarRecurrenceRule.Frequency v)`
  `CalendarRecurrenceRule`
  `setInterval(int v)`
  `CalendarRecurrenceRule`
  `setUntil(CalendarDateTime v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarRecurrenceRule

    public CalendarRecurrenceRule()

- ## Method Details

  - ### getFrequency

    public CalendarRecurrenceRule.Frequency getFrequency()

  - ### setFrequency

    public CalendarRecurrenceRule setFrequency(CalendarRecurrenceRule.Frequency v)

  - ### getInterval

    public int getInterval()

  - ### setInterval

    public CalendarRecurrenceRule setInterval(int v)

  - ### getCount

    public Integer getCount()

  - ### setCount

    public CalendarRecurrenceRule setCount(Integer v)

  - ### getUntil

    public CalendarDateTime getUntil()

  - ### setUntil

    public CalendarRecurrenceRule setUntil(CalendarDateTime v)

  - ### addDayOfWeek

    public CalendarRecurrenceRule addDayOfWeek(int v)

  - ### addDayOfMonth

    public CalendarRecurrenceRule addDayOfMonth(int v)

  - ### addMonth

    public CalendarRecurrenceRule addMonth(int v)

  - ### getDaysOfWeek

    public List<Integer> getDaysOfWeek()

  - ### getDaysOfMonth

    public List<Integer> getDaysOfMonth()

  - ### getMonths

    public List<Integer> getMonths()